<div class="form-container">
  <div class="header">
    <button mat-icon-button (click)="onClose()">
      <mat-icon>close</mat-icon>
    </button>
  </div>
  <span class="formSpan">
    <div class="scrollable-form">
      <form [formGroup]="distributionForm" class="locations-formgroup">
        <div class=" form-field-wrapper">
          <mat-form-field class="location-form first-row">
            <mat-label>File title</mat-label>
            <input matInput aria-label="title" formControlName="title" required>
          </mat-form-field>
          <mat-form-field class="location-form">
            <mat-label>Algorithm</mat-label>
            <input matInput aria-label="algorithm" formControlName="algorithm" required>
          </mat-form-field>
        </div>
        <div class=" form-field-wrapper">
          <mat-form-field class="location-form first-row">
            <mat-label>Obsolete date</mat-label>
            <input matInput [matDatepicker]="obsoleteDatepicker" formControlName="obsoleteDateTime"
              [min]="minObsoleteDate" [max]="maxObsoleteDate" (dateChange)="onDateChange()">
            <mat-datepicker-toggle matSuffix [for]="obsoleteDatepicker"></mat-datepicker-toggle>
            <mat-datepicker #obsoleteDatepicker></mat-datepicker>
            <!-- <mat-error *ngIf="hasError('obsoleteDateTime', 'obsoleteNotAfterIssuance')">
              Obsolete date must be after issuance date.
            </mat-error> -->
            <mat-error *ngIf="hasError('obsoleteDateTime', 'obsoleteNotBeforeExpiration')">
              Obsolete date must be before expiration date.
            </mat-error>
          </mat-form-field>
          <mat-form-field class="location-form">
            <mat-label>Expiration date</mat-label>
            <input matInput [matDatepicker]="expirationDatepicker" formControlName="expirationDateTime"
              [min]="minExpirationDate" (dateChange)="onDateChange()">
            <mat-error
              *ngIf="hasError('expirationDateTime', 'issuanceNotBeforeExpiration') && distributionForm.get('issuedDateTime')?.value">
              Expiration date should be after the issuance date.
            </mat-error>
            <mat-datepicker-toggle matSuffix [for]="expirationDatepicker"></mat-datepicker-toggle>
            <mat-datepicker #expirationDatepicker></mat-datepicker>
          </mat-form-field>
        </div>
        <div class="form-field-wrapper">
          <mat-form-field class="location-form">
            <mat-label>File type</mat-label>
            <input matInput aria-label="fileType" formControlName="fileType">
          </mat-form-field>
          <mat-form-field class="location-form">
            <mat-label>File location</mat-label>
            <input matInput aria-label="fileLocation" formControlName="fileLocation" required>
          </mat-form-field>
        </div>
        <div class="form-field-wrapper">
          <mat-form-field class="location-form  first-row">
            <mat-label>Byte size</mat-label>
            <input matInput aria-label="consent" formControlName="byteSize" required>
          </mat-form-field>
          <mat-form-field class="location-form">
            <mat-label>File hash</mat-label>
            <input matInput aria-label="fileHash" formControlName="fileHash">
          </mat-form-field>
        </div>
        <div class="submit-buttons-div" style="vertical-align:middle;
                  margin-bottom: 6em; margin-top:
                  2em;">
          <button class="dataSetAddButon" mat-raised-button color="primary"
            (click)="onDelete()">Remove</button>
          <div matTooltip="Please fill out all the required fields" [matTooltipDisabled]="distributionForm.valid">
            <button mat-raised-button color="primary" class="btn submit-button" (click)="onSubmit()"
              [disabled]="!distributionForm.valid">
              Submit
            </button>
          </div>
        </div>
      </form>
    </div>
  </span>
</div>
